=== src/CMakeLists.txt ===
add_subdirectory(libkommit)
add_subdirectory(libkommitwidgets)
add_subdirectory(libkommitdiff)
add_subdirectory(data)
add_subdirectory(gui)
add_subdirectory(apps)
