=== debian/changelog ===
kommit (1.6.0+p24.04+vstable+git20250927.0010-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 00:10:25 +0000

kommit (1.6.0-0neon) noble; urgency=medium

  * initial release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 12 Apr 2023 17:36:22 +1000

kommit (0.4.0-0neon) jammy; urgency=medium

  * initial packaging

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Dec 2022 08:23:15 +0100
