## kommit 1.6.0+p24.04+vstable+git20250930.0455

=== debian/changelog ===
kommit (1.6.0+p24.04+vstable+git20250930.0455-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:55:41 +0000
