## kommit 1.6.0+p24.04+vstable+git20251015.1634

=== debian/changelog ===
kommit (1.6.0+p24.04+vstable+git20251015.1634-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:34:23 +0000
