=== debian/control ===
Source: kommit
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libdolphinvcs-dev,
               libgit2-dev,
               pkg-kde-tools-neon,
               qt6-base,
               qt6-charts-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/sdk/kommit
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kommit.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kommit
Maintainer: Neon CI <neon@kde.org>

Package: kommit
Architecture: any
Multi-Arch: same
Depends: git, ${misc:Depends}, ${shlibs:Depends}
Replaces: gitklient
Breaks: gitklient
Description: Git repo management tool
 .
 Kommit is an application by KDE for interacting with Git version
 control repositories.
