=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/@PACKAGE@/@PACKAGE@-([\d.]+).tar.xz
