## kommit 1.6.0+p24.04+vstable+git20251019.0617

=== debian/changelog ===
kommit (1.6.0+p24.04+vstable+git20251019.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:17:47 +0000
