## kommit 1.6.0+p24.04+vstable+git20251028.0303

=== debian/changelog ===
kommit (1.6.0+p24.04+vstable+git20251028.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 03:03:43 +0000
