## kommit 1.6.0+p24.04+vstable+git20251201.0147

=== debian/changelog ===
kommit (1.6.0+p24.04+vstable+git20251201.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 01:47:56 +0000
