=== src/data/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-FileCopyrightText: none
+# SPDX-License-Identifier: BSD-3-Clause
 install(PROGRAMS kommitdiff.sh DESTINATION bin RENAME kommitdiff)
 install(PROGRAMS kommitmerge.sh DESTINATION bin RENAME kommitmerge)
 install(PROGRAMS org.kde.kommit.desktop        DESTINATION ${KDE_INSTALL_APPDIR})
