=== debian/changelog ===
kommit (1.6.0+p24.04+vunstable+git20251009.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 07:06:30 +0000
