=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem=kf6

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON -DBUILD_WITH_QT6=ON

.PHONY: override_dh_auto_test
