## kommit 1.6.0+p24.04+vunstable+git20251015.1830

=== debian/changelog ===
kommit (1.6.0+p24.04+vunstable+git20251015.1830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:30:49 +0000
