## kommit 1.6.0+p24.04+vunstable+git20251123.1852

=== icons/CMakeLists.txt ===
set(KOMMIT_ICONS
  16-apps-kommit.png
  22-apps-kommit.png
  32-apps-kommit.png
  48-apps-kommit.png
  sc-apps-kommit.svg
)

ecm_install_icons(ICONS ${KOMMIT_ICONS} DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)
