=== debian/changelog ===
kommit (1.6.0+p24.04+vunstable+git20251123.1852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:52:24 +0000
