=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                libgit2-dev,
                pkg-kde-tools-neon,
                qt6-base,
-               qt6-charts-dev
+               qt6-charts-dev,
+               qt6-svg-dev
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/sdk/kommit
 Vcs-Git: https://invent.kde.org/neon/neon-packaging/kommit.git
