## kommit 1.6.0+p24.04+vunstable+git20251201.0321

=== debian/changelog ===
kommit (1.6.0+p24.04+vunstable+git20251201.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:21:39 +0000
